> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of datastores

> Returns a list of datastores (active and inactive) available for your account



## OpenAPI

````yaml get /datastores
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /datastores:
    get:
      tags:
        - Datastores
      summary: Get list of datastores
      description: >-
        Returns a list of datastores (active and inactive) available for your
        account
      operationId: datastores_get_datastores
      parameters:
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/DatastoreStatus'
              - type: 'null'
            title: Status
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DataStoreItem'
                title: Response Datastores Get Datastores
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DatastoreStatus:
      type: string
      enum:
        - active
        - inactive
      title: DatastoreStatus
    DataStoreItem:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        status:
          anyOf:
            - $ref: '#/components/schemas/DatastoreStatus'
            - type: 'null'
          default: active
        definition:
          $ref: '#/components/schemas/DatastoreDef'
      type: object
      required:
        - id
        - name
        - definition
      title: DataStoreItem
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    DatastoreDef:
      properties:
        columns:
          items:
            $ref: '#/components/schemas/DatastoreColumn'
          type: array
          title: Columns
        search_column:
          anyOf:
            - type: string
            - type: 'null'
          title: Search Column
          description: Column name that will be indexed and used in search if any.
      type: object
      required:
        - columns
      title: DatastoreDef
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DatastoreColumn:
      properties:
        name:
          type: string
          title: Name
        title:
          type: string
          title: Title
        type:
          type: string
          title: Type
        optional:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Optional
          default: false
      type: object
      required:
        - name
        - title
        - type
      title: DatastoreColumn
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````